From: Jay Carlson <[email-masked]>
Date: Fri, 22 Oct 1993 11:27:18 -0700

>> We had a similar problem with the Monitor on MOOns, altho our
>> Monitor code is part of the player confunc, there's a check in the
>> confunc of #6 that has ' if (valid(caller_perms()) && caller !=
>> this)', which promptly aborts the player confunc verb when called
>> by the #0:user_connected, since #0 is valid and caller wasnt
>> player.  It could be related to this; I wouldn't be surprised if
>> this affects quite a few people's code when they try to upgrade to
>> the new server.

> I didn't realize that this change was going to break as much code as
> it appears to be doing, else I would have looked for another way to
> do it.  Hopefully, the changes to make things work again are
> relatively easy (e.g., a small change to a permissions check).
> Again, I apologize for the trouble.

Nah, it's all relatively minor.  Anyway, most of the lossage seems to
be related to login watchers.  Login watchers should be rewritten to
hang directly off #0:user_*, and now do 

  if (caller != #0)
    return E_PERM;
  endif

at their top, which is a much saner way to do login watch permission
checking.

Jay Carlson
[email-masked]    [email-masked]

Flat text is just *never* what you want.   ---stephen p spackman